#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = Scheduling

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

CLASSES = OFConcreteInvocation.m OFImplementationHolder.m OFInvocation.m\
          OFIObjectNSInvocation.m OFIObjectSelector.m\
          OFIObjectSelectorBool.m OFIObjectSelectorInt.m\
          OFIObjectSelectorIntInt.m OFIObjectSelectorObject.m\
          OFIObjectSelectorObjectObject.m\
          OFIObjectSelectorObjectObjectObject.m OFMessageQueue.m\
          OFObject-Queue.m OFQueueProcessor.m OFResultHolder.m\
          OFScheduledEvent.m OFScheduler.m\
          OFTemporaryPlaceholderInvocation.m OFRunLoopQueueProcessor.m

HFILES = OFConcreteInvocation.h OFImplementationHolder.h OFInvocation.h\
         OFIObjectNSInvocation.h OFIObjectSelector.h\
         OFIObjectSelectorBool.h OFIObjectSelectorInt.h\
         OFIObjectSelectorIntInt.h OFIObjectSelectorObject.h\
         OFIObjectSelectorObjectObject.h\
         OFIObjectSelectorObjectObjectObject.h OFMessageQueue.h\
         OFMessageQueueDelegateProtocol.h\
         OFMessageQueuePriorityProtocol.h OFObject-Queue.h\
         OFQueueProcessor.h OFResultHolder.h OFScheduledEvent.h\
         OFScheduler.h OFTemporaryPlaceholderInvocation.h\
         OFRunLoopQueueProcessor.h

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = OFImplementationHolder.h OFInvocation.h\
                 OFMessageQueue.h OFMessageQueueDelegateProtocol.h\
                 OFMessageQueuePriorityProtocol.h OFObject-Queue.h\
                 OFQueueProcessor.h OFResultHolder.h OFScheduledEvent.h\
                 OFScheduler.h OFRunLoopQueueProcessor.h

PROJECT_HEADERS = OFObject-Queue.h OFRunLoopQueueProcessor.h



NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
